<?php
/*
  ot_handling.php 200909040432 Stephane Lefebvre;
*/

  class ot_handling {
    var $title, $output;

    function ot_handling() {
      $this->code = 'ot_handling';
      $this->title = MODULE_ORDER_TOTAL_HANDLING_TITLE;
      $this->description = MODULE_ORDER_TOTAL_HANDLING_DESCRIPTION;
      $this->enabled = ((MODULE_ORDER_TOTAL_HANDLING_STATUS == 'true') ? true : false);
      $this->sort_order = MODULE_ORDER_TOTAL_HANDLING_SORT_ORDER;

      $this->output = array();
    }

    function process() {
      global $order, $currencies;
	        
	  if (strval($order->info['total']) <= 50) {
	      $order->info['handling'] = '2';
	  }
	  else if (strval($order->info['total']) > 50 and strval($order->info['total']) <= 75) {
	      $order->info['handling'] = '3';
	  }
	  
	  else if (strval($order->info['total']) > 75 and strval($order->info['total']) <= 100) {
	      $order->info['handling'] = '4';
	  }
	  
	  else if (strval($order->info['total']) > 100) {
	      $order->info['handling'] = '5';
	  }
	  
	  $order->info['total'] += $order->info['handling'];
      $this->output[] = array(
	  'title' => $this->title . ':',
	  'text' => '<b>' . $currencies->format($order->info['handling'], true, $order->info['currency'], $order->info['currency_value']) . '</b>',
	  'value' => $order->info['handling']);
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_ORDER_TOTAL_HANDLING_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }

      return $this->_check;
    }

    function keys() {
      return array('MODULE_ORDER_TOTAL_HANDLING_STATUS', 'MODULE_ORDER_TOTAL_HANDLING_SORT_ORDER');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Display Handling', 'MODULE_ORDER_TOTAL_HANDLING_STATUS', 'true', 'Do you want to display the order handling value?', '6', '1','tep_cfg_select_option(array(\'true\', \'false\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_ORDER_TOTAL_HANDLING_SORT_ORDER', '3', 'Sort order of display.', '6', '2', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }
  }
?>
